# Uses of Class
org.eclipse.birt.report.model.api.ThemeHandle

Packages that use ThemeHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of ThemeHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ThemeHandle
Modifier and Type
Method
Description
`final ThemeHandle`
ModuleHandleImpl.`findTheme(String name)`
Finds a theme by its name in this module and the included modules.
`final ThemeHandle`
ModuleHandleImpl.`getTheme()`
Returns the refresh rate when viewing the report.
Methods in org.eclipse.birt.report.model.api with parameters of type ThemeHandle
Modifier and Type
Method
Description
`void`
ModuleHandleImpl.`setTheme(ThemeHandle theme)`
Sets the theme to a report.

## Uses of ThemeHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type ThemeHandle
Modifier and Type
Method
Description
`static boolean`
ElementExportUtilImpl.`canExport(StyleHandle styleHandle, ThemeHandle themeHandle, boolean canOverride)`
Checks whether the given element can be exported into the selected theme.
`static void`
ElementExportUtilImpl.`exportStyle(StyleHandle styleToExport, ThemeHandle themeHandle, boolean canOverride)`
Exports the given style into selected theme.